<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.14
Name: [4] Dane informatora dla fragmentu treści dokumentu
Description: Bazowy szablon CDA dla danych informatora w treści dokumentu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.14-2015-10-26T000000">
   <title>[4] Dane informatora dla fragmentu treści dokumentu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.14
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaBaseBodyInformant)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']"
         id="tmp-r-b6cbbd00-0b62-4c29-ac3e-354ad7496b5b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.14-2015-10-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.14'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.14']/@nullFlavor)">(plCdaBaseBodyInformant): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.14'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.14-2015-10-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.14'])&lt;=1">(plCdaBaseBodyInformant): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.14'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']|hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.14-2015-10-26T000000.html"
              test="$elmcount&gt;=1">(plCdaBaseBodyInformant): wybór (hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] lub hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.14-2015-10-26T000000.html"
              test="$elmcount&lt;=1">(plCdaBaseBodyInformant): wybór (hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] lub hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']) zawiera zbyt dużo elementów [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.14
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaBaseBodyInformant)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.14']"
         id="tmp-r-177620fa-0799-4c11-a604-2837f3cba42f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.14-2015-10-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.14'">(plCdaBaseBodyInformant): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.14'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.14-2015-10-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseBodyInformant): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.14
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaBaseBodyInformant)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.49
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaBaseAssignedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(plCdaBaseAssignedEntity): Wartość dla @classCode MUSI wynosić 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.49']/@nullFlavor)">(plCdaBaseAssignedEntity): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaBaseAssignedEntity): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaBaseAssignedEntity): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaBaseAssignedEntity): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaBaseAssignedEntity): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaBaseAssignedEntity): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.49
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaBaseAssignedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.49']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAssignedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.49'">(plCdaBaseAssignedEntity): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.49'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseAssignedEntity): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.49
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:id
Item: (plCdaBaseAssignedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:id">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAssignedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.49
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:code
Item: (plCdaBaseAssignedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:code">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAssignedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(plCdaBaseAddr): Wartość dla @nullFlavor MUSI wynosić 'UNK'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaBaseAddr): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) and ((not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:postalCode))">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie kodu pocztowego. </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:city)">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie miasta. </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:houseNumber)">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie numeru domu. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(hl7:censusTract) or starts-with(hl7:censusTract,'TERYT TERC:') or starts-with(hl7:censusTract,'TERYT SIMC:')">(plCdaBaseAddr):  Poprawnie zapisany numer TERYT powinien zaczynać się od znaków: "TERYT TERC:" lub "TERYT SIMC:". </assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="@nullFlavor and count(./*) &gt; 1">(plCdaBaseAddr):  Jeżeli adres jest nieznany, to nie może zawierać żadnych składników adresu. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:country)&lt;=1">(plCdaBaseAddr): element hl7:country występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:postalCode)&lt;=1">(plCdaBaseAddr): element hl7:postalCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:city)&lt;=1">(plCdaBaseAddr): element hl7:city występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:streetName)&lt;=1">(plCdaBaseAddr): element hl7:streetName występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(plCdaBaseAddr): element hl7:houseNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:unitID)&lt;=1">(plCdaBaseAddr): element hl7:unitID występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:unitType)&lt;=1">(plCdaBaseAddr): element hl7:unitType występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:censusTract)&lt;=1">(plCdaBaseAddr): element hl7:censusTract występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:country
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:country">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:postalCode
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:postalCode">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="@nullFlavor or ($xsiLocalName='adxp.postalCode' and $xsiLocalNS='http://www.csioz.gov.pl/xsd/extPL/r1') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "adxp.postalCode", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@postCity) or string-length(@postCity)&gt;0">(plCdaBaseAddr): Atrybut @postCity MUSI być typu 'st'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:city
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:city">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:streetName
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:streetName">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:houseNumber
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:houseNumber">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:unitID
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:unitID">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:unitType
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:unitType">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:censusTract
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:addr/hl7:censusTract">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.49
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:telecom
Item: (plCdaBaseAssignedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:telecom">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.49-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAssignedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.49
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBaseAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBasePerson)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(plCdaBasePerson): Wartość dla @classCode MUSI wynosić 'PSN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(plCdaBasePerson): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1']/@nullFlavor)">(plCdaBasePerson): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaBasePerson): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:name)&gt;=1 ">(plCdaBasePerson): element hl7:name jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaBasePerson): element hl7:name występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBasePerson)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePerson): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.1'">(plCdaBasePerson): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBasePerson): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="count(hl7:prefix)&lt;=1">(plCdaBasePersonName): element hl7:prefix występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="count(hl7:given)&gt;=1 ">(plCdaBasePersonName): element hl7:given jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="count(hl7:family)&gt;=1 ">(plCdaBasePersonName): element hl7:family jest required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:prefix
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:prefix">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:given
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:given">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:family
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:family">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.49
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaBaseAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(plCdaBaseOrganization): Wartość dla @classCode MUSI wynosić 'ORG'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(plCdaBaseOrganization): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.777.4.10.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.777.4.10.2']/@nullFlavor)">(plCdaBaseOrganization): element hl7:templateId[@root='2.16.840.1.113883.3.1937.777.4.10.2'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.777.4.10.2'])&lt;=1">(plCdaBaseOrganization): element hl7:templateId[@root='2.16.840.1.113883.3.1937.777.4.10.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.2']/@nullFlavor)">(plCdaBaseOrganization): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.2'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaBaseOrganization): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaBaseOrganization): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:addr)&lt;=1">(plCdaBaseOrganization): element hl7:addr występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(plCdaBaseOrganization): element hl7:standardIndustryClassCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(plCdaBaseOrganization): element hl7:asOrganizationPartOf występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:templateId[@root='2.16.840.1.113883.3.1937.777.4.10.2']
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:templateId[@root='2.16.840.1.113883.3.1937.777.4.10.2']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.777.4.10.2'">(plCdaBaseOrganization): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.1937.777.4.10.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseOrganization): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.2']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.2'">(plCdaBaseOrganization): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseOrganization): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:id
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:id">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:name
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:name">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ON", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:telecom
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:telecom">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(plCdaBaseAddr): Wartość dla @nullFlavor MUSI wynosić 'UNK'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaBaseAddr): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) and ((not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:postalCode))">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie kodu pocztowego. </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:city)">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie miasta. </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:houseNumber)">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie numeru domu. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(hl7:censusTract) or starts-with(hl7:censusTract,'TERYT TERC:') or starts-with(hl7:censusTract,'TERYT SIMC:')">(plCdaBaseAddr):  Poprawnie zapisany numer TERYT powinien zaczynać się od znaków: "TERYT TERC:" lub "TERYT SIMC:". </assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="@nullFlavor and count(./*) &gt; 1">(plCdaBaseAddr):  Jeżeli adres jest nieznany, to nie może zawierać żadnych składników adresu. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:country)&lt;=1">(plCdaBaseAddr): element hl7:country występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:postalCode)&lt;=1">(plCdaBaseAddr): element hl7:postalCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:city)&lt;=1">(plCdaBaseAddr): element hl7:city występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:streetName)&lt;=1">(plCdaBaseAddr): element hl7:streetName występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(plCdaBaseAddr): element hl7:houseNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:unitID)&lt;=1">(plCdaBaseAddr): element hl7:unitID występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:unitType)&lt;=1">(plCdaBaseAddr): element hl7:unitType występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="count(hl7:censusTract)&lt;=1">(plCdaBaseAddr): element hl7:censusTract występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:country
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:country">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:postalCode
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:postalCode">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="@nullFlavor or ($xsiLocalName='adxp.postalCode' and $xsiLocalNS='http://www.csioz.gov.pl/xsd/extPL/r1') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "adxp.postalCode", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="not(@postCity) or string-length(@postCity)&gt;0">(plCdaBaseAddr): Atrybut @postCity MUSI być typu 'st'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:city
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:city">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:streetName
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:streetName">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:houseNumber
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:houseNumber">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:unitID
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:unitID">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:unitType
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:unitType">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:censusTract
Item: (plCdaBaseAddr)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:addr/hl7:censusTract">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:standardIndustryClassCode
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="string(@classCode)='PART' or not(@classCode)">(plCdaBaseOrganization): Wartość dla @classCode MUSI wynosić 'PART'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaBaseOrganization): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaBaseOrganization): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaBaseOrganization): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(plCdaBaseOrganization): element hl7:wholeOrganization występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:id
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:code
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(plCdaBaseOrganization): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.111'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:statusCode
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaBaseOrganization): Wartość elementu MUSI wynosić RoleStatus (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaBaseOrganization): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości RoleStatus (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (plCdaBaseOrganization)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.2-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseOrganization): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.1937.777.4.10.2' and hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (plCdaBaseOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.14
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']
Item: (plCdaBaseBodyInformant)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.50
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']
Item: (plCdaBaseRelatedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="@classCode">(plCdaBaseRelatedEntity): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaBaseRelatedEntity): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19316-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaBaseRelatedEntity): Wartość dla classCode MUSI pochodzić z zbiór wartości 'RoleClassMutualRelationship' (DYNAMICZNE)</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.50'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.50']/@nullFlavor)">(plCdaBaseRelatedEntity): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.50'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.50'])&lt;=1">(plCdaBaseRelatedEntity): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.50'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaBaseRelatedEntity): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaBaseRelatedEntity): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="count(hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaBaseRelatedEntity): element hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.50
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.50']
Item: (plCdaBaseRelatedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.50']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseRelatedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.50'">(plCdaBaseRelatedEntity): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.50'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseRelatedEntity): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.50
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:code
Item: (plCdaBaseRelatedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:code">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseRelatedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaBaseRelatedEntity): Wartość elementu MUSI wynosić PersonalRelationshipRoleType (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaBaseRelatedEntity): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PersonalRelationshipRoleType (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.50
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:addr
Item: (plCdaBaseRelatedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:addr">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseRelatedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:AD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.50
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:telecom
Item: (plCdaBaseRelatedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:telecom">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseRelatedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.50
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:effectiveTime
Item: (plCdaBaseRelatedEntity)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:effectiveTime">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.50-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseRelatedEntity): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.50
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBaseRelatedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBasePerson)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(plCdaBasePerson): Wartość dla @classCode MUSI wynosić 'PSN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(plCdaBasePerson): Wartość dla @determinerCode MUSI wynosić 'INSTANCE'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1']/@nullFlavor)">(plCdaBasePerson): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaBasePerson): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:name)&gt;=1 ">(plCdaBasePerson): element hl7:name jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaBasePerson): element hl7:name występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.1
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaBasePerson)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.1']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePerson): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.1'">(plCdaBasePerson): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.1-2017-04-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBasePerson): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="count(hl7:prefix)&lt;=1">(plCdaBasePersonName): element hl7:prefix występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="count(hl7:given)&gt;=1 ">(plCdaBasePersonName): element hl7:given jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="count(hl7:family)&gt;=1 ">(plCdaBasePersonName): element hl7:family jest required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:prefix
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:prefix">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:given
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:given">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:family
Item: (plCdaBasePersonName)
-->
   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']/hl7:relatedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.50']/hl7:relatedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/hl7:name/hl7:family">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
