<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.7.1
Name: [7] Adres (bazowy)
Description: Wzorzec CDA adresu.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000">
   <title>[7] Adres (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]
Item: (plCdaBaseAddr)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr"
         id="tmp-r-c9129de8-96ec-4c9d-9b90-6dfea8fb1036">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(plCdaBaseAddr): Wartość dla @nullFlavor MUSI wynosić 'UNK'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plCdaBaseAddr): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="not(@nullFlavor) and ((not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:postalCode))">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie kodu pocztowego. </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:city)">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie miasta. </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="not(@nullFlavor) and (not(hl7:country) or upper-case(hl7:country)='POLSKA') and not(hl7:houseNumber)">(plCdaBaseAddr):  Dla polskiego adresu wymagane jest podanie numeru domu. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="not(hl7:censusTract) or starts-with(hl7:censusTract,'TERYT TERC:') or starts-with(hl7:censusTract,'TERYT SIMC:')">(plCdaBaseAddr):  Poprawnie zapisany numer TERYT powinien zaczynać się od znaków: "TERYT TERC:" lub "TERYT SIMC:". </assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="@nullFlavor and count(./*) &gt; 1">(plCdaBaseAddr):  Jeżeli adres jest nieznany, to nie może zawierać żadnych składników adresu. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:country)&lt;=1">(plCdaBaseAddr): element hl7:country występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:postalCode)&lt;=1">(plCdaBaseAddr): element hl7:postalCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:city)&lt;=1">(plCdaBaseAddr): element hl7:city występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:streetName)&lt;=1">(plCdaBaseAddr): element hl7:streetName występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(plCdaBaseAddr): element hl7:houseNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:unitID)&lt;=1">(plCdaBaseAddr): element hl7:unitID występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:unitType)&lt;=1">(plCdaBaseAddr): element hl7:unitType występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="count(hl7:censusTract)&lt;=1">(plCdaBaseAddr): element hl7:censusTract występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:country
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:country"
         id="tmp-r-88ee2d7a-812a-4786-9ab5-904556cb8fd3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:postalCode
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:postalCode"
         id="tmp-r-7b0bbce2-7269-4825-891d-ef804f259b79">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='adxp.postalCode' and $xsiLocalNS='http://www.csioz.gov.pl/xsd/extPL/r2') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "adxp.postalCode", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="not(@postCity) or string-length(@postCity)&gt;0">(plCdaBaseAddr): Atrybut @postCity MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:city
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:city"
         id="tmp-r-07facb2e-14f4-4239-bea7-2ece525bb01a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:streetName
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:streetName"
         id="tmp-r-680d6ca4-0592-4c94-ade5-5e547889b43b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:houseNumber
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:houseNumber"
         id="tmp-r-76d8c017-3648-4974-aede-1c544709a0a3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:unitID
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:unitID"
         id="tmp-r-1e8bb76a-5ba1-4edd-b54d-45d319d51e7f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:unitType
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:unitType"
         id="tmp-r-5f6d42d9-f1ad-437a-bf04-a3b28a33e4bd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.1
Context: *[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:censusTract
Item: (plCdaBaseAddr)
-->

   <rule context="*[hl7:addr[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.1']]/hl7:addr/hl7:censusTract"
         id="tmp-r-bd285361-0b61-40e7-914e-a7ff23108eb2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseAddr): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ADXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ADXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
