<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.12
Name: [2] Uprawnienie dodatkowe związane z refundacją leków (rozszerzenie)
Description: Wzorzec rozszerzenia CDA dla uprawnienia dodatkowego związanego z refundacją leków
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000">
   <title>[2] Uprawnienie dodatkowe związane z refundacją leków (rozszerzenie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.12
Context: *[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]
Item: (plExtDrugPrescriptionSpecialEntitlement)
-->

   <rule context="*[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]"
         id="tmp-r-ba1d4e89-539a-4426-a109-ac83ba2f08d6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(extPL:coveragePlan)&gt;=1 and not(extPL:coveragePlan/@nullFlavor)">(plExtDrugPrescriptionSpecialEntitlement): element extPL:coveragePlan jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(extPL:coveragePlan)&lt;=1">(plExtDrugPrescriptionSpecialEntitlement): element extPL:coveragePlan występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.12
Context: *[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan
Item: (plExtDrugPrescriptionSpecialEntitlement)
-->

   <rule context="*[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan"
         id="tmp-r-8a2cbd03-6063-4783-9225-f92c472f9971">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="string(@classCode)='COV'">(plExtDrugPrescriptionSpecialEntitlement): Wartość dla @classCode MUSI wynosić 'COV'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtDrugPrescriptionSpecialEntitlement): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plExtDrugPrescriptionSpecialEntitlement): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plExtDrugPrescriptionSpecialEntitlement): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.12'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.12']/@nullFlavor)">(plExtDrugPrescriptionSpecialEntitlement): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.12'])&lt;=1">(plExtDrugPrescriptionSpecialEntitlement): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.12'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(plExtDrugPrescriptionSpecialEntitlement): element extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(plExtDrugPrescriptionSpecialEntitlement): element extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.12
Context: *[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.12']
Item: (plExtDrugPrescriptionSpecialEntitlement)
-->

   <rule context="*[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.12']"
         id="tmp-r-1b489b64-5e99-4696-9476-9e9bcb7b361e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtDrugPrescriptionSpecialEntitlement): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.12'">(plExtDrugPrescriptionSpecialEntitlement): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.12'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtDrugPrescriptionSpecialEntitlement): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.12
Context: *[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (plExtDrugPrescriptionSpecialEntitlement)
-->

   <rule context="*[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-6cb728a0-0d15-49a3-9d1f-9183a3c144dc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="@nullFlavor or (@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')">(plExtDrugPrescriptionSpecialEntitlement): Wartość elementu MUSI wynosić code 'PUBLICPOL' codeSystem '2.16.840.1.113883.5.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plExtDrugPrescriptionSpecialEntitlement): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plExtDrugPrescriptionSpecialEntitlement): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.12
Context: *[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier
Item: (plExtDrugPrescriptionSpecialEntitlement)
-->

   <rule context="*[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier"
         id="tmp-r-93951ce9-37e9-465d-981f-d0a6c37c080f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtDrugPrescriptionSpecialEntitlement): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plExtDrugPrescriptionSpecialEntitlement): element hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plExtDrugPrescriptionSpecialEntitlement): element hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plExtDrugPrescriptionSpecialEntitlement): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plExtDrugPrescriptionSpecialEntitlement): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.12
Context: *[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plExtDrugPrescriptionSpecialEntitlement)
-->

   <rule context="*[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:name[(@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-59ef2154-dfc8-4287-bae6-1e3b06d33143">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtDrugPrescriptionSpecialEntitlement): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="@nullFlavor or (@code='RLUD' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Refundacja leków wynikająca z uprawnień dodatkowych')">(plExtDrugPrescriptionSpecialEntitlement): Wartość elementu MUSI wynosić code 'RLUD' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Refundacja leków wynikająca z uprawnień dodatkowych'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.12
Context: *[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plExtDrugPrescriptionSpecialEntitlement)
-->

   <rule context="*[extPL:coveragePlan[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.12']]/extPL:coveragePlan/extPL:code[(@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4')]/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-d66e73d8-fbd7-456f-b834-998238c103da">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtDrugPrescriptionSpecialEntitlement): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plExtDrugPrescriptionSpecialEntitlement): Wartość elementu MUSI wynosić UprawnienieDodatkowe Uprawnienie dodatkowe (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.15-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.12-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plExtDrugPrescriptionSpecialEntitlement): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości UprawnienieDodatkowe Uprawnienie dodatkowe (DYNAMICZNE)</assert>
   </rule>
</pattern>
