<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.13
Name: [2] Potwierdzenie ubezpieczenia w NFZ (rozszerzenie)
Description: Wzorzec rozszerzenia CDA dla potwierdzenia ubezpieczenia w NFZ.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000">
   <title>[2] Potwierdzenie ubezpieczenia w NFZ (rozszerzenie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.13
Context: *[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]
Item: (plExtCoverageEligibilityConfirmation)
-->

   <rule context="*[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]"
         id="tmp-r-0cb4d3fb-e300-4a93-b144-5be0300348fe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:coverageEligibilityConfirmation)&gt;=1 and not(extPL:coverageEligibilityConfirmation/@nullFlavor)">(plExtCoverageEligibilityConfirmation): element extPL:coverageEligibilityConfirmation jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:coverageEligibilityConfirmation)&lt;=1">(plExtCoverageEligibilityConfirmation): element extPL:coverageEligibilityConfirmation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.13
Context: *[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation
Item: (plExtCoverageEligibilityConfirmation)
-->

   <rule context="*[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation"
         id="tmp-r-2b63ed54-c582-4175-b435-bd93a69898e4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="string(@classCode)='ACT'">(plExtCoverageEligibilityConfirmation): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtCoverageEligibilityConfirmation): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plExtCoverageEligibilityConfirmation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plExtCoverageEligibilityConfirmation): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.13'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.13']/@nullFlavor)">(plExtCoverageEligibilityConfirmation): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.13'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.13'])&lt;=1">(plExtCoverageEligibilityConfirmation): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.13'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:id[@root='2.16.840.1.113883.3.4424.8.4'])&gt;=1 and not(extPL:id[@root='2.16.840.1.113883.3.4424.8.4']/@nullFlavor)">(plExtCoverageEligibilityConfirmation): element extPL:id[@root='2.16.840.1.113883.3.4424.8.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:id[@root='2.16.840.1.113883.3.4424.8.4'])&lt;=1">(plExtCoverageEligibilityConfirmation): element extPL:id[@root='2.16.840.1.113883.3.4424.8.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:code[(@code='ELG' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(extPL:code[(@code='ELG' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(plExtCoverageEligibilityConfirmation): element extPL:code[(@code='ELG' and @codeSystem='2.16.840.1.113883.5.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="count(extPL:code[(@code='ELG' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(plExtCoverageEligibilityConfirmation): element extPL:code[(@code='ELG' and @codeSystem='2.16.840.1.113883.5.4')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.13
Context: *[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.13']
Item: (plExtCoverageEligibilityConfirmation)
-->

   <rule context="*[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.13']"
         id="tmp-r-7f25fd30-a26e-459d-a124-0e33855a7fdd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtCoverageEligibilityConfirmation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.13'">(plExtCoverageEligibilityConfirmation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.13'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtCoverageEligibilityConfirmation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.13
Context: *[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation/extPL:id[@root='2.16.840.1.113883.3.4424.8.4']
Item: (plExtCoverageEligibilityConfirmation)
-->

   <rule context="*[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation/extPL:id[@root='2.16.840.1.113883.3.4424.8.4']"
         id="tmp-r-5df3e0e9-3930-4eaf-b14c-09fa5ac0735c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.4'">(plExtCoverageEligibilityConfirmation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtCoverageEligibilityConfirmation): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="@extension">(plExtCoverageEligibilityConfirmation): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtCoverageEligibilityConfirmation): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.13
Context: *[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation/extPL:code[(@code='ELG' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (plExtCoverageEligibilityConfirmation)
-->

   <rule context="*[extPL:coverageEligibilityConfirmation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.13']]/extPL:coverageEligibilityConfirmation/extPL:code[(@code='ELG' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-d312b7a7-92bf-4968-9ce9-b93d731c83d2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.13-2018-06-30T000000.html"
              test="@nullFlavor or (@code='ELG' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='Eligible')">(plExtCoverageEligibilityConfirmation): Wartość elementu MUSI wynosić code 'ELG' codeSystem '2.16.840.1.113883.5.4' displayName='Eligible'.</assert>
   </rule>
</pattern>
