<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.1.25
Name: [1] Raport pielęgniarski
Description: Szablon CDA wpisu do raport pielęgniarskiego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000">
   <title>[1] Raport pielęgniarski</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /
Item: (plCdaNursingReportItem)
-->

   <rule context="/" id="tmp-r-b7303c25-a778-4287-9fd6-9c89d1f27c1b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25'])&gt;=1 and not(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/@nullFlavor)">(plCdaNursingReportItem): element hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25'])&lt;=1">(plCdaNursingReportItem): element hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']"
         id="tmp-r-a3f557ad-e79d-4703-b06d-366f264a8fb3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(plCdaNursingReportItem): Wartość dla @classCode MUSI wynosić 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaNursingReportItem): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <let name="versionLabel" value="'1.3.1'"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:templateId[@root and @extension=$versionLabel])=1">(plCdaNursingReportItem):  Nie występuje prawidłowe oznaczenie zgodności dokumentu z daną wersją wydania Polskiej Implementacji Krajowej HL7 CDA. </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="/processing-instruction('xml-stylesheet') = concat('href=&#34;CDA_PL_IG_',$versionLabel,'.xsl&#34; type=&#34;text/xsl&#34;')">(plCdaNursingReportItem):  Nieprawidłowe wskazanie transformaty generującej warstwę prezentacyjną dokumentu.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(plCdaNursingReportItem): element hl7:typeId[@root='2.16.840.1.113883.1.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(plCdaNursingReportItem): element hl7:typeId[@root='2.16.840.1.113883.1.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.25'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.25']/@nullFlavor)">(plCdaNursingReportItem): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.25'])&lt;=1">(plCdaNursingReportItem): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.25'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaNursingReportItem): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaNursingReportItem): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaNursingReportItem): element hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaNursingReportItem): element hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaNursingReportItem): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaNursingReportItem): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaNursingReportItem): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingReportItem): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingReportItem): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingReportItem): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&gt;=1 and not(hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]/@nullFlavor)">(plCdaNursingReportItem): element hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&lt;=1">(plCdaNursingReportItem): element hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(plCdaNursingReportItem): element hl7:setId jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:setId)&lt;=1">(plCdaNursingReportItem): element hl7:setId występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(plCdaNursingReportItem): element hl7:versionNumber jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(plCdaNursingReportItem): element hl7:versionNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'])&gt;=1 and not(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3']/@nullFlavor)">(plCdaNursingReportItem): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'])&lt;=1">(plCdaNursingReportItem): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'])&gt;=1 and not(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4']/@nullFlavor)">(plCdaNursingReportItem): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'])&lt;=1">(plCdaNursingReportItem): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'])&gt;=1 and not(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/@nullFlavor)">(plCdaNursingReportItem): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'])&lt;=1">(plCdaNursingReportItem): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&gt;=1 and not(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6']/@nullFlavor)">(plCdaNursingReportItem): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&lt;=1">(plCdaNursingReportItem): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'])&lt;=1">(plCdaNursingReportItem): element hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51'])&lt;=1">(plCdaNursingReportItem): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'])&gt;=1 and not(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/@nullFlavor)">(plCdaNursingReportItem): element hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'])&lt;=1">(plCdaNursingReportItem): element hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.74'])&gt;=1 and not(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.74']/@nullFlavor)">(plCdaNursingReportItem): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.74'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.74'])&lt;=1">(plCdaNursingReportItem): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.74'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-4f9fe965-7de8-4112-b1ed-8c7010a35a95">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="string(@extension)='POCD_HD000040'">(plCdaNursingReportItem): Wartość dla @extension MUSI wynosić 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(plCdaNursingReportItem): @root MUSI mieć wartość '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.25']
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.25']"
         id="tmp-r-b39c5371-328c-4d31-95c1-4c9d66913859">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.1.25'">(plCdaNursingReportItem): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.1.25'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingReportItem): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaNursingReportItem): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:id
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:id"
         id="tmp-r-35b884e0-650d-447c-824f-b05aae2c3a0e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="@root">(plCdaNursingReportItem): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingReportItem): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="@extension">(plCdaNursingReportItem): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaNursingReportItem): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f81f6f60-f6ca-432f-901b-e581e6c7019e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="@nullFlavor or (@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Nursing notes' and @codeSystemName='LOINC')">(plCdaNursingReportItem): Wartość elementu MUSI wynosić code '46208-5' codeSystem '2.16.840.1.113883.6.1' displayName='Nursing notes' codeSystemName='LOINC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&gt;=1 and not(hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/@nullFlavor)">(plCdaNursingReportItem): element hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="count(hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&lt;=1">(plCdaNursingReportItem): element hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]"
         id="tmp-r-bdf5ac42-759f-46f1-afc0-60419976d400">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="@nullFlavor or (@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32' and @displayName='Pozostałe dokumenty pielęgniarskie' and @codeSystemName='KLAS_DOK_P1')">(plCdaNursingReportItem): Wartość elementu MUSI wynosić code '05.70' codeSystem '2.16.840.1.113883.3.4424.11.1.32' displayName='Pozostałe dokumenty pielęgniarskie' codeSystemName='KLAS_DOK_P1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:title
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:title"
         id="tmp-r-62037dc3-8982-41fe-aaec-01fe533cfed2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:effectiveTime
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:effectiveTime"
         id="tmp-r-cf967977-2545-4881-9c66-5d2ee0ee39b5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaNursingReportItem): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-185a4e11-9bad-49da-9220-32817129b019">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingReportItem): Wartość elementu MUSI wynosić x_BasicConfidentialityKind (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingReportItem): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości x_BasicConfidentialityKind (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]"
         id="tmp-r-e646aa5c-d58f-4826-a75f-e38ffde8cf45">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaNursingReportItem): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingReportItem): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:setId
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:setId"
         id="tmp-r-c1e34e51-f58f-428d-b9be-05b86461137c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.25
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:versionNumber
Item: (plCdaNursingReportItem)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.25']/hl7:versionNumber"
         id="tmp-r-3ea62085-a19f-4e98-a410-f40b43e8bb4b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingReportItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.25-2018-09-30T000000.html"
              test="$digitok or @nullFlavor">(plCdaNursingReportItem): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
